Bug 1978717 - periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-metal-ipi-upgrade failing
Summary: periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Alexander Constantinescu
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1940866
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-02 14:49 UTC by Doug Hellmann
Modified: 2021-09-22 20:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
job=periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-metal-ipi-upgrade=all
Last Closed: 2021-09-22 20:06:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26309 0 None open Bug 1978717: Add BareMetalPlatformType into e2e upgrade service unsupported list 2021-07-06 09:37:13 UTC
Red Hat Product Errata RHBA-2021:3517 0 None None None 2021-09-22 20:06:30 UTC

Description Doug Hellmann 2021-07-02 14:49:43 UTC
job:
periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-metal-ipi-upgrade 

is failing frequently in CI, see testgrid results:
https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-informing#periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-metal-ipi-upgrade

https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-metal-ipi-upgrade/1410709653960003584

failed testing an upgrade from 4.5.41 to a 4.6 nightly: https://openshift-release.apps.ci.l2s4.p1.openshiftapps.com/releasestream/4.6.0-0.nightly/release/4.6.0-0.nightly-2021-07-01-211622

fail [github.com/openshift/origin/test/e2e/upgrade/service/service.go:84]: Unexpected error:
    <*errors.errorString | 0xc001b75070>: {
        s: "timed out waiting for service \"service-test\" to have a load balancer",
    }
    timed out waiting for service "service-test" to have a load balancer
occurred

This may also be related to #1828858

Comment 5 zhaozhanqi 2021-09-03 03:10:33 UTC
Check the latest job https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.6-upgrade-from-stable-4.5-e2e-metal-ipi-upgrade/1433387443930796032

the error 
fail [github.com/openshift/origin/test/e2e/upgrade/service/service.go:84]: Unexpected error:
    <*errors.errorString | 0xc001b75070>: {
        s: "timed out waiting for service \"service-test\" to have a load balancer",
    }
    timed out waiting for service "service-test" to have a load balancer
occurred

already be not found.  So move this to verified.

Comment 8 errata-xmlrpc 2021-09-22 20:06:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.45 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3517


Note You need to log in before you can comment on or make changes to this bug.